<?php

namespace Drupal\castorcito_webform\Plugin\CastorcitoComponentField;

use Drupal\castorcito\ConfigurableComponentFieldBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Webform configuration.
 *
 * @CastorcitoComponentField(
 *   id = "webform",
 *   label = @Translation("Webform"),
 *   description = @Translation("Configuration for the webform field.")
 * )
 */
class Webform extends ConfigurableComponentFieldBase {

  /**
   * {@inheritdoc}
   */
  public function defaultModel() {
    return [
      'value' => '',
      'webform_id' => '',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration() {
    return [
      'url_autocomplete' => '',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function submitConfigurationForm(array &$form, FormStateInterface $form_state) {
    $castorcito_manager = \Drupal::service('castorcito.manager');
    $this->configuration['url_autocomplete'] = $castorcito_manager->entityAutocompleteUrl('webform');
  }

}
